package net.northking.cctp.executePlan.dto.planInfo;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>Title: AtuPlanRunDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/10
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class AtuPlanRunDto implements Serializable {

    /**
     * 计划id
     */
    @NotBlank(message = "计划编号不能为空")
    private String planId;

    /**
     * 批次id
     */
    private String batchId;

    /**
     * 触发方式 1 自动执行  2 手动执行 3 devops
     */
    private String triggerType ;

    /**
     * 执行人
     */
    private String executedBy ;

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getTriggerType() {
        return triggerType;
    }

    public void setTriggerType(String triggerType) {
        this.triggerType = triggerType;
    }

    public String getExecutedBy() {
        return executedBy;
    }

    public void setExecutedBy(String executedBy) {
        this.executedBy = executedBy;
    }
}
